=== debian/changelog ===
kubuntu-driver-manager (14.04ubuntu7) trusty; urgency=medium

  * Bring back device notification persistency lost in refactoring
    LP: #1304301

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 12:05:27 +0200

kubuntu-driver-manager (14.04ubuntu6) trusty; urgency=medium

  [ Rohan Garg ]
  * Use a checkbox when there's only one driver

  [ Harald Sitter ]
  * Set dbusinterface timeout to highest possible value to prevent timeouts
    when the dbus helper is tediously slow (LP: #1303209)
    Looking back that was probably why we opted for an async connection earlier

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 14:50:32 +0200

kubuntu-driver-manager (14.04ubuntu5) trusty; urgency=medium

  [ Harald Sitter ]
  * Fix dbus helper timing (hopefully)
    + Don't query drivers-common in ctor for no reason (block startup and
      everything).
    + Force the connection from the timeout timer to qapp::quit to be queued
      this gives us at least one additional loop run until it is actually
      called (should not make much difference).
    + Suspending and restart of the timeout timer is now done via a finally
      statement, this is to ensure that return actually has finished by the
      time we restart the timer as large chunks of data can take a while to
      throw at the daemon etc.
    = These changes combined should prevent the dbus helper from timing out
      before the data has arrived or is sent. at the very least it makes a
      system that previously had timeouts work even with a 5s timeout (i.e.
      half of what we use in production).

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 14:35:44 +0200

kubuntu-driver-manager (14.04ubuntu4) trusty; urgency=medium

  * Depend on python3-qt4 for the auto-quit logic in the helper LP: #1293948
  * Refactor
    - dbus helper now only has one function
    - dbus interaction uses explicit type demarshalling
    - new struct types Device and Driver representing the explicit dbus types
    - new class DriverManager encorporating most logic bits of Module such as
      dbus and qapt interaction
    - DriverWidget QApt queries moved to DriverManager's dbus handling, but
      continues to query qapt packages directly for name and such nonesense
    - Manual driver listing is no longer explicitly dependent on package
      findability
    - DriverWidget changes detection now happen through iterative queries
      in Module::possiblyChanged, fixing change tracking
    - Module continues to contain Debconf handling, pipe id merely passed to
      DriverManager
    - New Module functions enableUi and disableUi containing reoccuring logic
    - DriverWidget does not implicitly create left-to-right strings anymore
    - Module::load is now the grand unified way to trigger a (re)load of data
      while DriverManager::refresh synchronizes the reload requests with
      QApt/Xapian init, fixing all likely and less likely init order problems
    - New struct Device provides deep qdebug stream operators to debug
      stuff conveniently
    - Module includes have been cleaned up slightly
    - Drivers are now not only installed, but also removed, this effectively
      enables actual driver change as the way management works is that the
      consideration is that only one driver is installed at a time (except for
      the free version), which also is why manual always wins active
      detection as it simply prevents any other driver from being considered.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 25 Mar 2014 14:29:51 +0100

kubuntu-driver-manager (14.04ubuntu3) trusty; urgency=medium

  * New upstream snapshot
    - Bug fixing around
      + Better strings LP: #1282095
      + Update xapian cache before opening LP: #1282087
      + Fix memory leak
      + Drop useless keepAlive function LP: #1282092
      + Timer should start/stop before each function so that the script
        doesn't quite mid way LP: #1282090

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Mar 2014 14:59:23 +0100

kubuntu-driver-manager (14.04ubuntu2) trusty; urgency=medium

  * New upstream snapshot
    - Change name (LP: #1278814)
    - Fix crash when hitting refresh button (LP: #1278816)
    - Implement state tracking (LP: #1278827)
    - Make sure apply button is enabled even after transaction
      returns a error (LP: #1278826)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Feb 2014 15:18:59 +0100

kubuntu-driver-manager (14.04ubuntu1) trusty; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 19:47:40 +0100
