## kubuntu-driver-manager 14.04ubuntu9

=== debian/changelog ===
kubuntu-driver-manager (14.04ubuntu9) trusty; urgency=medium

  [ Harald Sitter ]
  * DriverWidget: do not list builtin drivers as not selected.
    + This avoids breaking the system by trying to remove essential packages
      such as xserver-xorg-video-nouveau for being not selected.
    LP: #1311583

  [ Rohan Garg ]
  * Add a apport hook to provide more debug info when reporting bugs

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Apr 2014 13:45:47 +0200

kubuntu-driver-manager (14.04ubuntu8) trusty; urgency=medium

  * Prevent crashes by properly locking the GUI while applying changes
    LP: #1311075
    + New function DriverWidget::setSelectionEnabled, disabling or enabling
      all QAbstractButtons inside the respective DriverWidget, leaving the
      header label unaffected to give a nicer visual experience.
  * Prevent state confusion caused by allowing 'defaults' to trigger a reload
    even when the manager is currently busy applying changes. Since we have
    no button control inside the KCM we simply turn load() noop while the
    manager is active. This is unfortunately not the nicest behavior, however
    the module will reload whenever the manager finishes, so implicitly we
    will simply execute the requested action once the manager is idle again.
    LP: #1311079
    + Introduce new function DriverManager::isActive evaluating the transaction
      pointer (nullptr when idle).

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Apr 2014 14:29:09 +0200
