=== debian/control ===
Source: kubuntu-driver-manager
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev,
 libqapt-dev,
 libqt4-dev,
 libdebconf-kde-dev
Standards-Version: 3.9.5
Homepage: http://quickgit.kde.org/?p=scratch/garg/kcm-driver-manager.git
X-Ubuntu-Use-Langpack: yes

Package: kubuntu-driver-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-drivers-common, python3,
 python3-dbus.mainloop.qt, python3-pyqt4
Description: Driver Manager for Kubuntu
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains the KDE frontend.
 
Package: kubuntu-driver-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, kubuntu-driver-manager (= ${binary:Version})
Description: Driver Manager for Kubuntu -- debug symbols
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains debugging symbols for the KDE frontend.
