=== debian/changelog ===
kubuntu-driver-manager (15.04ubuntu3) vivid; urgency=medium

  * Set the library translation domain so that the KCM actually loads
    its translations

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 12:21:50 +0100

kubuntu-driver-manager (15.04ubuntu2) vivid; urgency=medium

  * Add build-dep on extra-cmake-modules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Dec 2014 18:01:58 +0100

kubuntu-driver-manager (15.04ubuntu1) vivid; urgency=medium

  * Port to KDE Frameworks 5
  * Make sure the no-drivers-available label is shown when no drivers are there
    + LP: #1316563

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Apr 2014 14:31:46 +0200
