=== debian/control ===
Source: kubuntu-driver-manager
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libdebconf-kde-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5textwidgets-dev,
               libqapt-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: http://quickgit.kde.org/?p=scratch/garg/kcm-driver-manager.git
X-Ubuntu-Use-Langpack: yes

Package: kubuntu-driver-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-drivers-common, python3,
 python3-dbus.mainloop.pyqt5, python3-pyqt5
Description: Driver Manager for Kubuntu
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains the KDE frontend.

Package: kubuntu-driver-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kubuntu-driver-manager (= ${binary:Version}), ${misc:Depends}
Description: Driver Manager for Kubuntu -- debug symbols
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains debugging symbols for the KDE frontend.
