=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

override_dh_auto_configure:
	$(overridden_command) -- -DVERSION_STRING_FULL=$(version)

override_dh_strip:
	dh_strip --dbg-package=kubuntu-driver-manager-dbg
