## kubuntu-driver-manager 15.10ubuntu3

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,6 @@
 endmacro(dbus_add_activation_session_service _sources)
 
 add_subdirectory(src)
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)
