=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 target_link_libraries(kcm_driver_manager
     Qt5::DBus
     KF5::ConfigWidgets
+    KF5::I18n
     QApt::Main
     DebconfKDE::Main)
