=== debian/changelog ===
kubuntu-driver-manager (15.10ubuntu3) wily; urgency=medium

  * Add I18n to target link libraries to get access to the KLocalizedString
    header and fix a build failure

 -- Harald Sitter <sitter@kde.org>  Wed, 30 Sep 2015 09:14:20 +0200

kubuntu-driver-manager (15.10ubuntu2) wily; urgency=medium

  * Fix rules. "Make - Like Perl, but Worse"

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 11:22:59 +0200

kubuntu-driver-manager (15.10ubuntu1) wily; urgency=medium

  * New release for 15.10, updating translations

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2015 14:40:40 +0200
