## kubuntu-driver-manager 15.10ubuntu4

=== debian/changelog ===
kubuntu-driver-manager (15.10ubuntu4) yakkety; urgency=medium

  * Depend on apt-xapian-index as the driver manager requires a working index
    to detect the driver <> package mapping.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jul 2016 09:21:15 +0000
