=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
          python3-dbus.mainloop.pyqt5,
          python3-pyqt5,
          ubuntu-drivers-common,
+         apt-xapian-index,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Driver Manager for Kubuntu
